Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/nested-remote-recovery.exp
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/nested-remote-recovery.exp
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/nested-remote-recovery.exp
@@ -1,235 +1,235 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="107" operation="monitor" operation_key="galera_monitor_10000" internal_operation_key="galera:0_monitor_10000" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0">
+      <rsc_op id="103" operation="monitor" operation_key="galera_monitor_10000" internal_operation_key="galera:0_monitor_10000" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0">
         <primitive id="galera" long-id="galera:0" class="ocf" provider="heartbeat" type="galera"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_container_attribute_target="host" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="galera-bundle-0" CRM_meta_on_node_uuid="galera-bundle-0" CRM_meta_op_target_rc="8" CRM_meta_physical_host="database-0" CRM_meta_role="Master" CRM_meta_timeout="30000" additional_parameters="--open-files-limit=16384" cluster_host_map="database-0:database-0.internalapi.localdomain;database-1:database-1.internalapi.localdomain;database-2:database-2.internalapi.localdomain"  enable_creation="true" log="/var/log/mysql/mysqld.log" wsrep_cluster_address="gcomm://database-0.internalapi.localdomain,database-1.internalapi.localdomain,database-2.internalapi.localdomain"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="79" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1"/>
+        <rsc_op id="78" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="105" operation="start" operation_key="galera_start_0" internal_operation_key="galera:0_start_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
+        <rsc_op id="101" operation="start" operation_key="galera_start_0" internal_operation_key="galera:0_start_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
       </trigger>
       <trigger>
-        <rsc_op id="106" operation="promote" operation_key="galera_promote_0" internal_operation_key="galera:0_promote_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
+        <rsc_op id="102" operation="promote" operation_key="galera_promote_0" internal_operation_key="galera:0_promote_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="106" operation="promote" operation_key="galera_promote_0" internal_operation_key="galera:0_promote_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0">
+      <rsc_op id="102" operation="promote" operation_key="galera_promote_0" internal_operation_key="galera:0_promote_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0">
         <primitive id="galera" long-id="galera:0" class="ocf" provider="heartbeat" type="galera"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_container_attribute_target="host" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_name="promote" CRM_meta_notify="false" CRM_meta_on_fail="block" CRM_meta_on_node="galera-bundle-0" CRM_meta_on_node_uuid="galera-bundle-0" CRM_meta_physical_host="database-0" CRM_meta_timeout="300000" additional_parameters="--open-files-limit=16384" cluster_host_map="database-0:database-0.internalapi.localdomain;database-1:database-1.internalapi.localdomain;database-2:database-2.internalapi.localdomain"  enable_creation="true" log="/var/log/mysql/mysqld.log" wsrep_cluster_address="gcomm://database-0.internalapi.localdomain,database-1.internalapi.localdomain,database-2.internalapi.localdomain"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="77" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
+        <rsc_op id="76" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
       </trigger>
       <trigger>
-        <rsc_op id="79" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1"/>
+        <rsc_op id="78" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="103" operation="demote" operation_key="galera_demote_0" internal_operation_key="galera:0_demote_0"/>
+        <pseudo_event id="99" operation="demote" operation_key="galera_demote_0" internal_operation_key="galera:0_demote_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="105" operation="start" operation_key="galera_start_0" internal_operation_key="galera:0_start_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
+        <rsc_op id="101" operation="start" operation_key="galera_start_0" internal_operation_key="galera:0_start_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="112" operation="promote" operation_key="galera-bundle-master_promote_0"/>
+        <pseudo_event id="108" operation="promote" operation_key="galera-bundle-master_promote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="249" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0"/>
+        <pseudo_event id="239" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="105" operation="start" operation_key="galera_start_0" internal_operation_key="galera:0_start_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0">
+      <rsc_op id="101" operation="start" operation_key="galera_start_0" internal_operation_key="galera:0_start_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0">
         <primitive id="galera" long-id="galera:0" class="ocf" provider="heartbeat" type="galera"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_container_attribute_target="host" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="galera-bundle-0" CRM_meta_on_node_uuid="galera-bundle-0" CRM_meta_physical_host="database-0" CRM_meta_timeout="120000" additional_parameters="--open-files-limit=16384" cluster_host_map="database-0:database-0.internalapi.localdomain;database-1:database-1.internalapi.localdomain;database-2:database-2.internalapi.localdomain"  enable_creation="true" log="/var/log/mysql/mysqld.log" wsrep_cluster_address="gcomm://database-0.internalapi.localdomain,database-1.internalapi.localdomain,database-2.internalapi.localdomain"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="77" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
+        <rsc_op id="76" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
       </trigger>
       <trigger>
-        <rsc_op id="79" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1"/>
+        <rsc_op id="78" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="104" operation="stop" operation_key="galera_stop_0" internal_operation_key="galera:0_stop_0"/>
+        <pseudo_event id="100" operation="stop" operation_key="galera_stop_0" internal_operation_key="galera:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="108" operation="start" operation_key="galera-bundle-master_start_0"/>
+        <pseudo_event id="104" operation="start" operation_key="galera-bundle-master_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="249" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0"/>
+        <pseudo_event id="239" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="104" operation="stop" operation_key="galera_stop_0" internal_operation_key="galera:0_stop_0">
+      <pseudo_event id="100" operation="stop" operation_key="galera_stop_0" internal_operation_key="galera:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_container_attribute_target="host" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_physical_host="database-0" CRM_meta_timeout="120000" additional_parameters="--open-files-limit=16384" cluster_host_map="database-0:database-0.internalapi.localdomain;database-1:database-1.internalapi.localdomain;database-2:database-2.internalapi.localdomain"  enable_creation="true" log="/var/log/mysql/mysqld.log" wsrep_cluster_address="gcomm://database-0.internalapi.localdomain,database-1.internalapi.localdomain,database-2.internalapi.localdomain"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="93" operation="stop" operation_key="galera-bundle_stop_0"/>
+        <pseudo_event id="89" operation="stop" operation_key="galera-bundle_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="103" operation="demote" operation_key="galera_demote_0" internal_operation_key="galera:0_demote_0"/>
+        <pseudo_event id="99" operation="demote" operation_key="galera_demote_0" internal_operation_key="galera:0_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="110" operation="stop" operation_key="galera-bundle-master_stop_0"/>
+        <pseudo_event id="106" operation="stop" operation_key="galera-bundle-master_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <pseudo_event id="103" operation="demote" operation_key="galera_demote_0" internal_operation_key="galera:0_demote_0">
+      <pseudo_event id="99" operation="demote" operation_key="galera_demote_0" internal_operation_key="galera:0_demote_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_container_attribute_target="host" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_name="demote" CRM_meta_notify="false" CRM_meta_physical_host="database-0" CRM_meta_timeout="120000" additional_parameters="--open-files-limit=16384" cluster_host_map="database-0:database-0.internalapi.localdomain;database-1:database-1.internalapi.localdomain;database-2:database-2.internalapi.localdomain"  enable_creation="true" log="/var/log/mysql/mysqld.log" wsrep_cluster_address="gcomm://database-0.internalapi.localdomain,database-1.internalapi.localdomain,database-2.internalapi.localdomain"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="114" operation="demote" operation_key="galera-bundle-master_demote_0"/>
+        <pseudo_event id="110" operation="demote" operation_key="galera-bundle-master_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5" priority="1000000">
     <action_set>
-      <pseudo_event id="115" operation="demoted" operation_key="galera-bundle-master_demoted_0">
+      <pseudo_event id="111" operation="demoted" operation_key="galera-bundle-master_demoted_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="103" operation="demote" operation_key="galera_demote_0" internal_operation_key="galera:0_demote_0"/>
+        <pseudo_event id="99" operation="demote" operation_key="galera_demote_0" internal_operation_key="galera:0_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="114" operation="demote" operation_key="galera-bundle-master_demote_0"/>
+        <pseudo_event id="110" operation="demote" operation_key="galera-bundle-master_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <pseudo_event id="114" operation="demote" operation_key="galera-bundle-master_demote_0">
+      <pseudo_event id="110" operation="demote" operation_key="galera-bundle-master_demote_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="118" operation="demote" operation_key="galera-bundle_demote_0"/>
+        <pseudo_event id="114" operation="demote" operation_key="galera-bundle_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7" priority="1000000">
     <action_set>
-      <pseudo_event id="113" operation="promoted" operation_key="galera-bundle-master_promoted_0">
+      <pseudo_event id="109" operation="promoted" operation_key="galera-bundle-master_promoted_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="106" operation="promote" operation_key="galera_promote_0" internal_operation_key="galera:0_promote_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
+        <rsc_op id="102" operation="promote" operation_key="galera_promote_0" internal_operation_key="galera:0_promote_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
     <action_set>
-      <pseudo_event id="112" operation="promote" operation_key="galera-bundle-master_promote_0">
+      <pseudo_event id="108" operation="promote" operation_key="galera-bundle-master_promote_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="109" operation="running" operation_key="galera-bundle-master_running_0"/>
+        <pseudo_event id="105" operation="running" operation_key="galera-bundle-master_running_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="111" operation="stopped" operation_key="galera-bundle-master_stopped_0"/>
+        <pseudo_event id="107" operation="stopped" operation_key="galera-bundle-master_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="115" operation="demoted" operation_key="galera-bundle-master_demoted_0"/>
+        <pseudo_event id="111" operation="demoted" operation_key="galera-bundle-master_demoted_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="116" operation="promote" operation_key="galera-bundle_promote_0"/>
+        <pseudo_event id="112" operation="promote" operation_key="galera-bundle_promote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9" priority="1000000">
     <action_set>
-      <pseudo_event id="111" operation="stopped" operation_key="galera-bundle-master_stopped_0">
+      <pseudo_event id="107" operation="stopped" operation_key="galera-bundle-master_stopped_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="104" operation="stop" operation_key="galera_stop_0" internal_operation_key="galera:0_stop_0"/>
+        <pseudo_event id="100" operation="stop" operation_key="galera_stop_0" internal_operation_key="galera:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="110" operation="stop" operation_key="galera-bundle-master_stop_0"/>
+        <pseudo_event id="106" operation="stop" operation_key="galera-bundle-master_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <pseudo_event id="110" operation="stop" operation_key="galera-bundle-master_stop_0">
+      <pseudo_event id="106" operation="stop" operation_key="galera-bundle-master_stop_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="93" operation="stop" operation_key="galera-bundle_stop_0"/>
+        <pseudo_event id="89" operation="stop" operation_key="galera-bundle_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="115" operation="demoted" operation_key="galera-bundle-master_demoted_0"/>
+        <pseudo_event id="111" operation="demoted" operation_key="galera-bundle-master_demoted_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="249" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0"/>
+        <pseudo_event id="239" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11" priority="1000000">
     <action_set>
-      <pseudo_event id="109" operation="running" operation_key="galera-bundle-master_running_0">
+      <pseudo_event id="105" operation="running" operation_key="galera-bundle-master_running_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="105" operation="start" operation_key="galera_start_0" internal_operation_key="galera:0_start_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
+        <rsc_op id="101" operation="start" operation_key="galera_start_0" internal_operation_key="galera:0_start_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="controller-0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="108" operation="start" operation_key="galera-bundle-master_start_0"/>
+        <pseudo_event id="104" operation="start" operation_key="galera-bundle-master_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <pseudo_event id="108" operation="start" operation_key="galera-bundle-master_start_0">
+      <pseudo_event id="104" operation="start" operation_key="galera-bundle-master_start_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="3" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="91" operation="start" operation_key="galera-bundle_start_0"/>
+        <pseudo_event id="87" operation="start" operation_key="galera-bundle_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="111" operation="stopped" operation_key="galera-bundle-master_stopped_0"/>
+        <pseudo_event id="107" operation="stopped" operation_key="galera-bundle-master_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="115" operation="demoted" operation_key="galera-bundle-master_demoted_0"/>
+        <pseudo_event id="111" operation="demoted" operation_key="galera-bundle-master_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <rsc_op id="77" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0">
+      <rsc_op id="76" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0">
         <primitive id="galera-bundle-docker-0" class="ocf" provider="heartbeat" type="docker"/>
         <attributes CRM_meta_on_node="database-0" CRM_meta_on_node_uuid="database-0" CRM_meta_timeout="20000" allow_pull="true"  force_kill="false" image="192.168.24.1:8787/rhosp13/openstack-mariadb:pcmklatest" monitor_cmd="/bin/true" mount_points="/var/log/pacemaker/bundles/galera-bundle-0" reuse="false" run_cmd="/bin/bash /usr/local/bin/kolla_start" run_opts=" --restart=no -e PCMK_stderr=1 --net=host -e PCMK_remote_port=3123 -v /var/lib/kolla/config_files/mysql.json:/var/lib/kolla/config_files/config.json:ro -v /var/lib/config-data/puppet-generated/mysql/:/var/lib/kolla/config_files/src:ro -v /etc/hosts:/etc/hosts:ro -v /etc/localtime:/etc/localtime:ro -v /var/lib/mysql:/var/lib/mysql:rw -v /var/log/mariadb:/var/log/mariadb:rw -v /var/log/containers/mysql:/var/log/mysql:rw -v /dev/log:/dev/log:rw -v /etc/pacemaker/authkey:/etc/pacemaker/authkey -v /var/log/pacemaker/bundles/galera-bundle-0:/var/log --user=root --log-driver=journald -e KOLLA_CONFIG_STRATEGY=COPY_ALWAYS "/>
       </rsc_op>
@@ -239,10 +239,10 @@
         <rsc_op id="54" operation="stop" operation_key="galera-bundle-docker-0_stop_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="91" operation="start" operation_key="galera-bundle_start_0"/>
+        <pseudo_event id="87" operation="start" operation_key="galera-bundle_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="249" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0"/>
+        <pseudo_event id="239" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0"/>
       </trigger>
     </inputs>
   </synapse>
@@ -255,10 +255,10 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="78" operation="stop" operation_key="galera-bundle-0_stop_0" on_node="controller-0" on_node_uuid="1"/>
+        <rsc_op id="77" operation="stop" operation_key="galera-bundle-0_stop_0" on_node="controller-0" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="93" operation="stop" operation_key="galera-bundle_stop_0"/>
+        <pseudo_event id="89" operation="stop" operation_key="galera-bundle_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
@@ -271,45 +271,29 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="77" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
+        <rsc_op id="76" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <rsc_op id="80" operation="monitor" operation_key="galera-bundle-0_monitor_60000" on_node="controller-0" on_node_uuid="1">
-        <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="controller-0" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" addr="database-0"  port="3123"/>
-      </rsc_op>
-    </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="79" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1"/>
-      </trigger>
-    </inputs>
-  </synapse>
-  <synapse id="17">
-    <action_set>
-      <rsc_op id="79" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1">
+      <rsc_op id="78" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1">
         <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="controller-0" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" addr="database-0"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="64" operation="clear_failcount" operation_key="galera-bundle-0_clear_failcount_0" on_node="controller-0" on_node_uuid="1"/>
+        <rsc_op id="76" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
       </trigger>
       <trigger>
-        <rsc_op id="77" operation="start" operation_key="galera-bundle-docker-0_start_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="78" operation="stop" operation_key="galera-bundle-0_stop_0" on_node="controller-0" on_node_uuid="1"/>
+        <rsc_op id="77" operation="stop" operation_key="galera-bundle-0_stop_0" on_node="controller-0" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="18">
+  <synapse id="17">
     <action_set>
-      <rsc_op id="78" operation="stop" operation_key="galera-bundle-0_stop_0" on_node="controller-0" on_node_uuid="1">
+      <rsc_op id="77" operation="stop" operation_key="galera-bundle-0_stop_0" on_node="controller-0" on_node_uuid="1">
         <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="controller-0" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" addr="database-0"  port="3123"/>
         <downed>
